package org.spring.jmsinterop;

import org.spring.jmsinterop.gateways.MarketDataGateway;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Program {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
        ApplicationContext ctx = new ClassPathXmlApplicationContext("org/spring/jmsinterop/appContext.xml");
        MarketDataGateway marketDataGateway = (MarketDataGateway)ctx.getBean("marketDataGateway");
        Thread t = new Thread(marketDataGateway);
        t.start();

	}

}
