package org.spring.jmsinterop.builders;

import java.lang.reflect.Field;

import javax.jms.MapMessage;
import javax.jms.Session;

import org.spring.jmsinterop.converters.ConversionContext;
import org.spring.jmsinterop.util.Fields;
import org.spring.jmsinterop.util.Messages;

public class StringBuilder implements Builder {

	public boolean canBuild(Class targetClass) {
		return targetClass.equals(String.class);
	}

	public void addValue(MapMessage mm, Session session,
			ConversionContext conversionContext, String fieldName, Class fieldClass,
			Object fieldVal) {
		Messages.setMessageObject(mm, fieldName, (String) fieldVal);
	}

	public void setValue(ConversionContext conversionContext, Object targetObject,
			Object val, Field targetField) {
		Fields.write(targetField, targetObject, (String) val);

	}

}
