using System;
using System.Reflection;
using Spring.JmsInterop.Converters;
using TIBCO.EMS;

namespace Spring.JmsInterop.Builders
{
    public interface IBuilder
    {
        bool CanBuild(Type targetType);



        void AddValue(MapMessage mm, Session session, ConversionContext conversionContext,
                      string fieldName, 
                      Type fieldType, 
                      object fieldVal);
        
        void SetValue(MapMessage mapMessage, ConversionContext conversionContext, 
                      object targetObject, object fieldVal, 
                      FieldInfo targetFieldInfo);


        
    }
}
