package org.spring.jmsinterop.builders;

import java.lang.reflect.Field;

import javax.jms.MapMessage;
import javax.jms.Session;

import org.spring.jmsinterop.converters.ConversionContext;

public interface Builder {

    boolean canBuild(Class targetClass);
    
    void addValue(MapMessage mm, Session session, ConversionContext conversionContext,
                  String name, Class clazz, Object objectToConvert);
    
       
    void setValue(ConversionContext conversionContext, Object targetObject, Object val, Field targetField);
   
}
