
using System;
using NUnit.Framework;
using Spring.JmsInterop.Bo;
using Spring.Messaging.Tibco.Ems.Support.Converter;
using TIBCO.EMS;

namespace Spring.JmsInterop.Converters
{
    [TestFixture]
    public class OldReflectionMessageConverterTests : BaseMessageConverterTests
    {

        
        [Test]
        public void TradeRequestTest()
        {
            IMessageConverter converter = GetReflectionMessageConverter() as IMessageConverter;
            TestTradeRequestConversion(converter);
        }
        
        [Test]
        public void PortfolioTest()
        {
            IMessageConverter converter = GetReflectionMessageConverter() as IMessageConverter;
            Portfolio portfolio = CreatePortfolio();

            TestPorfolioConversion(converter, portfolio);
        }
    }
}
