using System.Collections;
using NUnit.Framework;
using Spring.Expressions;
using Spring.JmsInterop.Bo;
using Spring.JmsInterop.Handlers;

namespace Spring.JmsInterop.Converters
{
    [TestFixture]
    public class AdapterTests
    {
        [Test]
        public void HandlerDispatch()
        {
            StockAppHandler delegateObject = new StockAppHandler();  
            IExpression processingExpression = Expression.Parse("HandleObject" + "(#convertedObject)");
            IDictionary vars = new Hashtable();
            vars["convertedObject"] = new Trade();
            object result = processingExpression.GetValue(delegateObject, vars);
            
        }
    }
}
